import {http} from '@/utils/http'

// 获取字典列表信息
export const getDictFineList = (data: Record<string, any>) =>
    http.post<Dict[]>('/app/dict/findList', data);

// 查询营销活动指定的菜品列表 /app/merchantDish/marketingList/{marketActivityId}
export const getMarketingDishList = (marketActivityId: string) =>
    http.post<any[]>('/app/merchantDish/marketingList/' + marketActivityId);
// 查询精选菜品列表
export const getFeaturedDishList = (data: Record<string, any>) =>
    http.post<any[]>('/app/merchantDish/featuredDishList', data, data);

//获取店铺详情
export const getStoreDetailById = (storeId: string) =>
    http.post<any>('/app/merchant/detail/' + storeId);
